package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesLocationConfig;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTypePicture;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-09 18:08
 * @Modify:
 **/
@Data
public class MesNcProcessingModel {


    @ApiParam("正面位置")
    List<MesLocationConfig> frontLocationConfigList;

    @ApiParam("背面位置")
    List<MesLocationConfig> BackLocationConfigList;

    @ApiParam("背面位置")
    List<MesLocationConfig> locationConfigList;


    @ApiParam("图片")
    private MesPartTypePicture partTypePicture;

    @ApiParam("NC-零件检测详情")
    private List<MesPartInspectionDetail> detailList;

    @ApiParam("NC-零件检测-单据")
    private MesPartInspection partInspection;

    @ApiParam("物料")
    private MesPart part;


}
